petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscOptionsGetStringArray

Gets an array of string values for a particular option in the database. The values must be separated with commas with no intervening spaces.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetStringArray(PetscOptions options,const char pre[],const char name[],char *strings[],PetscInt *nmax,PetscBool *set)

Not Collective

### Input Parameters

| options | - options database, use NULL for default global database
| pre | - string to prepend to name or NULL
| name | - the option one is seeking
| nmax | - maximum number of strings

### Output Parameter

| strings | - location to copy strings
| set | - PETSC_TRUE if found, else PETSC_FALSE

### Notes

The user should pass in an array of pointers to char, to hold all the strings returned by this function.

The user is responsible for deallocating the strings that are returned. The Fortran interface for this routine is not supported.

Contributed by Matthew Knepley.

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

beginner

### Location

src/sys/objects/options.c

### Examples

src/ts/examples/tutorials/extchem.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages